Subject: non-linear least squares

From: Jochen <[email-masked]>
Date: Tue, 14 Sep 1999 15:02:27 +0200

Dear All,

does anybody know of good OpenSource routines to perform unconstraint
non-linear least squares fits, preferably in C++; C or FORTRAN are ok as
well, though.
Best would be a storage conserving implementation.
Usage of BLAS would be nice, but I could probably change it accordingly by
myself.
I know of MINPACK codes lmstr and lmdif, nl2sol from TOMS and LINALG from
CEPHES. Can anybody comment on these ?
Does anybody know of new publications of any such algorithms ?

Thanks in advance,
-- Jochen
 Heinrich-Heine-Universität Düsseldorf          [email-masked]
 Institut für Physikalische Chemie I               phone ++49-211-8113681
 Universitätsstr. 26.43.02.29                      fax   ++49-211-8115195
 40225 Düsseldorf, Germany       www-public.rz.uni-duesseldorf.de/~jochen